# showEncounterText | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function showEncounterText

- showEncounterText(
  contentKey: string,
  delay?: null | number,
  callbackDelay?: number,
  prompt?: boolean,
  promptDelay?: null | number,
  ): Promise<void>

  Will display a message in UI with injected encounter data tokens

  #### Parameters

  - contentKey: string
  - delay: null | number = null
  - callbackDelay: number = 0
  - prompt: boolean = true
  - promptDelay: null | number = null

  #### Returns Promise<void>

  - Defined in src/data/mystery-encounters/utils/encounter-dialogue-utils.ts:66